## GtkBorderCombo

GtkBorderCombo — A border combo widget

## Synopsis

    #include <gtkextra.h>

                        GtkBorderCombo;
    GtkWidget *         gtk_border_combo_new                (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GtkComboButton
                                                 +----GtkBorderCombo

## Implemented Interfaces

GtkBorderCombo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "changed"                                        : Run First

## Description

It is a GtkComboBox subclass with a variety of border styles in the popdown window arranged in a table of togglebuttons.

## Details

### GtkBorderCombo

    typedef struct _GtkBorderCombo GtkBorderCombo;

The GtkBorderCombo struct contains only private data. It should only be accessed through the functions described below.

### gtk_border_combo_new ()

    GtkWidget *         gtk_border_combo_new                (void);

Returns : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (GtkBorderCombo *border_combo,
                                                            gint            selection,
                                                            gpointer        user_data)         : Run First

Emmited when the GtkBorderCombo's state is changed

`border_combo` : | the GtkBorderCombo object that received the signal
`selection` : | the number of selected item
`user_data` : | user data set when the signal handler was connected.